import {Mark} from "tiptap";
import {toggleMark} from "tiptap-commands";


// — Mot - Accronyme
// — Mot - Etranger

// — Nom - Auteur - Citation
// — Nom - Auteur - Œuvre
// — Nom - Marque
// — Nom - Propre

// — Numeral - Chapitre
// — Numeral - Date
// — Numeral - Siecle


// — Typo - Particulier
export default class CustomStyle extends Mark {

    constructor(type){
      super();
      this.customType = type;
    }

    get name() {
        return this.customType;
    }


    get schema() {
        return {
            attrs: {
                type: {
                    default: ""
                }
            },
            parseDOM: [
                {
                    tag: "span[data-type="+this.customType+"]",
                    getAttrs(dom) {
                        return {type: dom.dataset.type};
                    }
                }
            ],
            toDOM: () => {
                return ["span", {'data-type': this.customType}, 0];
            }
        };
    }

    commands({type}) {
        return attrs => { return toggleMark(type, attrs);}
    }
}
